How to build and install ecCodes library/tools
================================================

Building and installation has been tested on several platforms and with several compilers.
However for some platforms modifications to the installation engine may be required.
If you encounter any problems during the installation procedure please send an e-mail
with your problem to:

    Software.Support@ecmwf.int


Installation using CMake
------------------------
This is the recommended method of installation.
However it requires that cmake be installed on your system.

1. Download ecCodes from https://software.ecmwf.int/wiki/display/ECC/Releases

2. Unpack distribution:
   > tar -xzf eccodes-x.y.z-Source.tar.gz

3. Create a separate directory where to build ecCodes:
   > mkdir build
   > cd build

4. Run cmake pointing to the source and specify the installation location:
   > cmake  ../eccodes-x.y.z-Source -DCMAKE_INSTALL_PREFIX=/path/to/where/you/install/eccodes

   It is recommended that you install into a clean directory

5. Compile, test and install:
   > make
   > ctest
   > make install

You can also pass options to the cmake command above. Some typical examples are:

 -DENABLE_NETCDF=ON              Enable GRIB to netCDF conversion
 -DENABLE_ECCODES_THREADS=ON     Enable POSIX threads
 -DENABLE_JPG=ON                 Enable JPEG encoding/decoding (for GRIB packing)
 -DCMAKE_Fortran_COMPILER=pgf90  Set Fortran compiler to Portland Group F90 compiler
 -DCMAKE_C_FLAGS="-O2 -Wall"     Prepend the specified flags at the front
                                 of the compilation command for C source files

For more details, please see:
https://software.ecmwf.int/wiki/display/ECC/ecCodes+installation

